// JScript 文件

<script type="text/javascript">
            var  False=false //定义False为小写false
	        var  True=true  //定义True为小写true
            function $(id)
            {
                return document.getElementById(id);
            }
           //定义成员ID
           var memberId =<%=UserID %>;
           //留言得到焦点
	       function focusInput() {
		        $('txtMessage').focus();
	        }
	        
	        //清除留言内容 
	        function cleanInput() {
		        $("txtMessage").value = "";		
	        }
	        
	        //判断用户是否登录
	        function commentCheck2(memberId) {	    
    	        if(memberId.length == 0) {
		            alert("只有登录用户可以留言！");
		            return false;
    	          }	
		     return true;  
		    }
		    
		    //check before post thread(发表话题前检测)
		    function checkPostThread(CircleID, isMember, isManager){
	        
		        if(memberId == ''){
			        alert("只有登录用户可以发表话题！");
			    //登陆但不是圈成员	
		        }
		         if(!isMember && !isManager) {
			        alert("对不起，只有本圈成员才能发表话题哦，请先加入本圈！");
		        }
		        else {
			        //window.open("http://localhost:2061/WebSite/member/Circle/DiscussionAdd.aspx?CircleID="+CircleID);
			        window.open("<%=WebUrl %>member/Circle/DiscussionAdd?CircleID="+CircleID);
		             }
 	        }
 	         
 	        //check before open upload pic page(上传图片前检测)
	        function checkUploadPic(CircleID, isMember, isManager, quanPicNum) {
		        if(memberId == '') {
			        //没登录
			        alert("只有登录用户可以上传图片！");
		        //登陆但不是圈成员	
		        } else if(!isMember && !isManager) {
			        alert("对不起，只有本圈成员才能上传图片哦。请先加入本圈！");
		        } else if(quanPicNum >= 500) {
			        alert("每个圈相册最多只能上传500张图片哦！如需上传，请先删除已有图片。");
		        } else {
			        //window.open("http://localhost:2061/WebSite/member/Circle/AlbumAdd.aspx?CircleID="+CircleID);
			        window.open("<%=WebUrl %>member/Circle/AlbumAdd.aspx?CircleID="+CircleID);
			    }	
	        }


    </script>